For the complete documentation index, see llms.txt. This page is also available as Markdown.

List purchase order items

Lists all items on a purchase order.

Required permissions: PURCHASE_ORDER

get
/tenants/{tenantUid}/stores/{storeUid}/purchase-orders/{purchaseOrderUid}/purchase-order-items
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
purchaseOrderUidstringRequired

Reference to a PurchaseOrder.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/purchase-orders/{purchaseOrderUid}/purchase-order-items
GET /v2/tenants/{tenantUid}/stores/{storeUid}/purchase-orders/{purchaseOrderUid}/purchase-order-items HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "expectedDeliveryDate": "2026-01-01",
      "externalId": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "productUid": "text",
      "productName": "text",
      "productSerialNoRequired": "NO",
      "productSku": "text",
      "purchaseOrderItemUid": "text",
      "quantityOrdered": 1,
      "quantityReceived": 1,
      "quantityReserved": 1,
      "supplierSku": "text",
      "interStoreSalesOrder": {
        "orderUid": "text",
        "orderNumber": "text",
        "orderState": "OPEN",
        "storeUid": "text",
        "storeName": "text",
        "orderItemUid": "text",
        "reservationType": "NONE",
        "reservationDetails": {
          "warehouse": {
            "warehouseName": "text"
          },
          "purchaseOrder": {
            "purchaseOrderUid": "text",
            "purchaseOrderItemUid": "text",
            "expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
            "purchaseOrderNumber": "text",
            "quantityOrdered": 1,
            "externalId": "text"
          },
          "receivement": {
            "receivementUid": "text",
            "receivementItemUid": "text",
            "expectedArrival": "2026-01-01T00:00:00.000Z",
            "expectedDispatch": "2026-01-01T00:00:00.000Z",
            "quantity": 1,
            "supplierOrderReference": "text",
            "receivedAt": "2026-01-01T00:00:00.000Z"
          },
          "interStorePurchaseOrder": {
            "storeUid": "text",
            "storeName": "text",
            "purchaseOrderUid": "text",
            "purchaseOrderNumber": "text",
            "purchaseOrderItemUid": "text"
          },
          "interStorePurchaseOrderReceivement": {
            "receivementUid": "text",
            "receivementItemUid": "text",
            "expectedArrival": "2026-01-01T00:00:00.000Z",
            "expectedDispatch": "2026-01-01T00:00:00.000Z",
            "quantity": 1,
            "supplierOrderReference": "text",
            "receivedAt": "2026-01-01T00:00:00.000Z"
          }
        }
      },
      "unitPrice": 1,
      "receivementItems": [
        {
          "receivementUid": "text",
          "receivementStatus": "RECEIVED",
          "invoiceApproval": {
            "approvedAt": "2026-01-01T00:00:00.000Z",
            "tenantUserUid": "text",
            "tenantUserDisplayName": "text"
          },
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "externalId": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "product": {
            "productUid": "text",
            "name": "text",
            "sku": "text"
          },
          "purchaseOrderItemUid": "text",
          "quantity": 1,
          "unitCost": 1,
          "receivementItemUid": "text",
          "serialnumber": "text",
          "status": "text",
          "note": "text",
          "tenantUserUid": "text",
          "tenantUserDisplayName": "text",
          "reservations": [
            {
              "orderUid": "text",
              "orderItemUid": "text",
              "orderNumber": "text",
              "quantity": 1,
              "reservationType": "NONE"
            }
          ]
        }
      ],
      "discountAmount": 1,
      "freightAmount": 1,
      "unitCost": 1,
      "totalLinePrice": 1,
      "localCurrency": {
        "unitPrice": 1,
        "discountAmount": 1,
        "freightAmount": 1,
        "unitCost": 1,
        "totalLinePrice": 1
      },
      "reservations": [
        {
          "orderUid": "text",
          "orderItemUid": "text",
          "orderNumber": "text",
          "quantity": 1,
          "reservationType": "NONE"
        }
      ],
      "note": "text",
      "sortOrder": 1,
      "purchaseOrderItemLinks": [
        {
          "purchaseOrderItemUid": "text",
          "type": "PACKAGE"
        }
      ]
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?